--
-- Drag selectable area
--

GUIElement = {}
GUIElementMT = { __index = GUIElement }

function GUIElement:TestPoint ( x, y )

	if x < self.x or x > self.x + self.width then
		return false
	end
	if y < self.y or y > self.y + self.height then
		return false
	end

	return true

end

function GUIElement:GetPosition ( )

	return Point ( self.x, self.y )

end

function GUIElement:SetPosition ( x, y )

	self.x = x
	self.y = y

end

function GUIElement:EnterHover ( x, y )

end

function GUIElement:Hover ( x, y )

end

function GUIElement:ExitHover ( x, y )

end

function GUIElement:Paint ( )

end

function GUIElement:MousePress ( button, x, y )

end

function GUIElement:MouseRelease ( button, x, y )

end

function GUIElement:Dragging ( button, x, y )

end

function GUIElement:BeginDrag ( button, x, y )

end

function GUIElement:EndDrag ( button, x, y )

end

function GUIElement:SingleClick ( button, x, y )

end

function GUIElement:DoubleClick ( button, x, y )

end

function GUIElement:WheelMove ( z )

end

function GUIElement:KeyPress ( key )

end

function GUIElement:KeyRelease ( key )

end

function GUIElement:GainFocus ( key )

end

function GUIElement:LoseFocus ( key )

end
